gr::gsm::txtime_setter_impl Class Reference

`#include <txtime_setter_impl.h>`

Inheritance diagram for gr::gsm::txtime_setter_impl:

## Public Member Functions

| txtime_setter_impl (uint32_t init_fn, uint64_t init_time_secs, double init_time_fracs, uint64_t time_hint_secs, double time_hint_fracs, double timing_advance, double delay_correction)
| ~txtime_setter_impl ()
void | set_fn_time_reference (uint32_t fn, uint32_t ts, uint64_t time_secs, double time_fracs)
void | set_time_hint (uint64_t time_hint_secs, double time_hint_fracs)
void | set_delay_correction (double delay_correction)
void | set_timing_advance (double timing_advance)

## Additional Inherited Members

Public Types inherited from gr::gsm::txtime_setter
typedef std::shared_ptr< txtime_setter > | sptr
Static Public Member Functions inherited from gr::gsm::txtime_setter
static sptr | make (uint32_t init_fn, uint64_t init_time_secs, double init_time_fracs, uint64_t time_hint_secs, double time_hint_fracs, double timing_advance, double delay_correction)
| Return a shared_ptr to a new instance of gsm::txtime_setter.

## Constructor & Destructor Documentation

## txtime_setter_impl()

gr::gsm::txtime_setter_impl::txtime_setter_impl | ( | uint32_t | init_fn,
|  | uint64_t | init_time_secs,
|  | double | init_time_fracs,
|  | uint64_t | time_hint_secs,
|  | double | time_hint_fracs,
|  | double | timing_advance,
|  | double | delay_correction )

## ~txtime_setter_impl()

gr::gsm::txtime_setter_impl::~txtime_setter_impl | ( |  | ) |

## Member Function Documentation

## set_delay_correction()

void gr::gsm::txtime_setter_impl::set_delay_correction | ( | double | delay_correction | ) |

virtual

Implements gr::gsm::txtime_setter.

## set_fn_time_reference()

void gr::gsm::txtime_setter_impl::set_fn_time_reference | ( | uint32_t | fn,
|  | uint32_t | ts,
|  | uint64_t | time_secs,
|  | double | time_fracs )

virtual

Implements gr::gsm::txtime_setter.

## set_time_hint()

void gr::gsm::txtime_setter_impl::set_time_hint | ( | uint64_t | time_hint_secs,
|  | double | time_hint_fracs )

virtual

Implements gr::gsm::txtime_setter.

## set_timing_advance()

void gr::gsm::txtime_setter_impl::set_timing_advance | ( | double | timing_advance | ) |

virtual

Implements gr::gsm::txtime_setter.

The documentation for this class was generated from the following file:

- txtime_setter_impl.h